COLCRT(1)

NAME
colcrt - filter nroff output for a terminal lacking overstrike capability

SYNOPSIS
colcrt [ - ] [ -2 ] [ filename ... ]

DESCRIPTION

colcrt provides virtual half and reverse LINEFEED sequences for terminals without such capability, and on which overstriking is destructive. Half LINEFEED characters and underlining (changed to dashing `-') are placed on new lines in between the normal output lines.

OPTIONS

-   Suppress all underlining — especially useful for previewing allboxed tables from tbl(1).

-2  Print all half LINEFEED characters, effectively double spacing the output. Normally, a minimal space output format is used which suppresses empty lines. colcrt never suppresses two consecutive empty lines, however. The -2 option is useful for sending output to the line printer when the output contains superscripts and subscripts which would otherwise be invisible.

EXAMPLE

A typical use of colcrt would be

    example% tbl exum2.n | nroff -ms | colcrt - | more

SEE ALSO
col(1V), more(1), nroff(1), tbl(1), troff(1), ul(1)

BUGS

Cannot back up more than 102 lines.

General overstriking is lost; as a special case `|' overstruck with `-' or underline becomes `+'.

Lines are trimmed to 132 characters.

Some provision should be made for processing superscripts and subscripts in documents which are already double-spaced.